﻿#!/bin/sh
# 1.0.0.a force utilisation UpdateServerUrl dans toutes les situations
clear
if [ ! -f "/opt/kaspersky/retranslator/retranslator" ]
then
echo le programme de gestion du miroir kaspersky n\'est pas installé
exit 1
fi
echo modifications automatiques du fichier :
echo  /opt/kaspersky/retranslator/retranslator.conf
echo
echo pour une mise à jour exclusive du miroir local de ce serveur sur :
echo  http://miroir.antivirus.i2/kaspersky/
echo Valider pour continuer et réaliser ces modifications
read
# 			initial						final
# UseUpdateServerUrl=<quelconque>		UseUpdateServerUrl=yes
# UseUpdateServerUrlOnly=<quelconque>		UseUpdateServerUrlOnly=yes
# UpdateServerUrl=<quelconque>			UpdateServerUrl=http://miroir.antivirus.i2/kaspersky
# RegionSettings=ru				RegionSettings=fr
# UseProxy=yes					UseProxy=no
# ProxyAddress=xxx.xxx.xxx.xxx:8080	ProxyAddress=
# PassiveFtp=no					PassiveFtp=yes


sed -e 's/^UpdateServerUrl=.*$/UpdateServerUrl=http:\/\/miroir.antivirus.i2\/kaspersky/' -e 's/ProxyAddress=.*$/ProxyAddress=/' -e 's/UseProxy=yes/UseProxy=no/' -e 's/^UseUpdateServerUrl=.*$/UseUpdateServerUrl=yes/' -e 's/^UseUpdateServerUrlOnly=.*$/UseUpdateServerUrlOnly=yes/' -e 's/RegionSettings=ru/RegionSettings=fr/' -e 's/PassiveFtp=.*$/PassiveFtp=yes/' /opt/kaspersky/retranslator/retranslator.conf > /opt/kaspersky/retranslator/retranslator.conf.bash
mv /opt/kaspersky/retranslator/retranslator.conf.bash /opt/kaspersky/retranslator/retranslator.conf
echo Modifications des paramètres effectuée


